1. Create a basic website using Express.js
2. All calculations must now be done on the server side, passed to the client-side as data, and rendered appropriately using EJS.
3. Your website should be available from http://localhost:3000/[X] where “[X]” should respond to both “Page1”, “Page2”, and “Page3” and “1”, “2”, “3” and “one”, “two”, “three”. This must be accomplished using routes.
4. The default page should display a menu allowing you to choose from any of these 3 pages.
5. Page 1 - Output a table of numbers from 5 to 15 including their squares and cubes. These calculations must be done using JavaScript, the Math.pow() function, and a loop of some sort. The table used to display values must have 3 columns (Number, Square, and Cube), be well styled and centered. 
Page2 - Output the ﬁrst 20 Fibonacci numbers. This sequence of numbers begins with 1, 1 and the next number is the sum of the previous two. For example, the third number in the series is 1+1=2. This must be completed using a JavaScript array. 
Page3 - Find a paragraph of text somewhere on the Internet (perhaps http://randomtextgenerator.com/). Using JavaScript, analyze the text and display a list of each unique word in the text in alphabetical order. The original text and the unique words should be displayed as shown below (The headings “Original Text” and “Unique Words” must be "h2" tags).
6. The web site must handle bad requests appropriately